<template>
  <pageWrapper
    :title="$t('afpr.title')"
    :closable="true"
    backable
    @close="closeAll"
    @back="close"
    :defaultScroll="true"
    :gradient="true"
    :container="false"
    ref="pageWrapper">
    <div class="affProgram">
      <div class="affProgram_container">
        <div class="affProgram_description">
          {{$t('afpr.content')}}
          <a href="http://16bit.partners/" target="_blank" style="color: #8296C8">{{$t('afpr.learn_more')}}...</a>
        </div>
      </div>
      <div class="affProgram_soc">
        <div class="affProgram_container flex flex-center">
          <div
            class="addthis_inline_share_toolbox"
            :data-url="ref"></div>
        </div>
      </div>
      <div class="affProgram_container">
        <div class="affProgram_footer flex flex-center">
          <BtnSign
            @click="openStatistic"
            transparent>{{$t('afpr.statisticBtn')}}
          </BtnSign>
          <BtnSign @click="openMarketing">{{$t('afpr.marketingBtn')}}</BtnSign>
        </div>
        <div class="poweredBy">
          <div class="poweredBy-title">Powered by</div>
          <img
            class="poweredBy-img"
            src="~/static/icons/poweredByAddThis.png"
            alt="">
        </div>
      </div>
    </div>
  </pageWrapper>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import BtnSign from '~/components/UI/BtnSign';

  export default {
    name: "AffProgram",
    data() {
      return {}
    },
    components: {
      pageWrapper,
      BtnSign
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      },
      ref() {
        return document.location.href.replace(/(http(s?):\/\/)|#\//gi, '') + `#?ref=${this.accountName}`;
      },
      showingMenu() {
        return this.$store.state.common.showingMenu;
      }
    },
    methods: {
      openStatistic() {
        this.ga('vs');
        this.close();
        this.$root.$refs['history'].showFullHistory().then(_ => {
          this.$root.$refs['history'].$refs['fullHistory'].changeComponent('commissions')
        });
      },
      openMarketing() {
        this.ga('mm');
        this.close();
        this.$root.$refs['history'].showFullHistory().then(_ => {
          this.$root.$refs['history'].$refs['fullHistory'].changeComponent('advMaterials')
        });
      },
      closeAll() {
        this.close();
        this.$root.$refs['headerTop'].openMenu(false);
      },
      close() {
        this.$refs['pageWrapper'].enableScroll();
        this.$emit('close');
      },
      enableScroll() {
        this.$refs['pageWrapper'].enableScroll();
      },
      disableScroll() {
        this.$refs['pageWrapper'].disableScroll();
      },
    },
    mounted() {
      if (!document.getElementById('addthis')) {
        let script = document.createElement('script');
        script.id = 'addthis';
        script.setAttribute('src', 'https://s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5eba8bc3204d3202');
        document.head.appendChild(script);
      } else {
        addthis && addthis.layers && addthis.layers.refresh && addthis.layers.refresh();
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .poweredBy {
    display: flex;
    align-items: center;
    justify-content: center;
    &-title {
      color: #455470;
      font-size: .8rem;
    }
    &-img {
      max-height: 12px;
      margin-left: 15px;
    }
  }
</style>
